Bug 442742 - PackageKit seems to always hang at "refreshing package cache"
PackageKit seems to always hang at "refreshing package cache"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 11:37 EDT by Jeremy Fitzhardinge
Modified: 2009-05-24 01:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-23 21:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2008-04-16 11:37:25 EDT
Description of problem:
The PackageKit applet always shows it hanging in "refreshing package cache"

Version-Release number of selected component (if applicable):
PackageKit-0.1.12-1.20080412git.fc9.i386

How reproducible:
Consistent at the moment.

Steps to Reproduce:
1.Run PackageKit applet
2.Wait
3.
  
Actual results:
The applet shows:
Refreshing package cache (Refreshing software list)
Getting updates (Waiting for other tasks to complete)
Getting updates (Waiting for other tasks to complete)
...

Expected results:
PackageKit to finish what its doing.

Additional info:
If I select "Refreshing package cache" and cancel it, it finishes, and the other
"Getting updates" finish too.  But then it happens again after a while.

pkmon says:
Tasks:
26;beadeadd;data	refresh-cache:refresh-cache 
27;eecbeeee;data	get-updates:wait
Comment 1 Jeremy Fitzhardinge 2008-04-16 11:46:07 EDT
The progress bars on the "Refreshing package cache (Refreshing software list)"
progress window are interesting.  The "part progress" bar always advances to
100% then wraps back to zero, and the "task progress" bar never moves - its
stuck at slightly less than 50%.  I don't know if "part progress" is actually
measuring anything, or just moving for the sake of appearing to be doing something.
Comment 2 Richard Hughes 2008-04-17 04:48:37 EDT
If you do:

yum clean all
yum check-update

What is the output? Thanks.
Comment 3 Jeremy Fitzhardinge 2008-04-18 18:47:36 EDT
# yum clean all
Loaded plugins: changelog, fastestmirror, refresh-packagekit
Cleaning up Everything
Cleaning up list of fastest mirrors
# yum check-update
Loaded plugins: changelog, fastestmirror, refresh-packagekit
Determining fastest mirrors
 * rawhide: mirror.aarnet.edu.au
rawhide                                                  | 2.4 kB     00:00    
primary.sqlite.bz2                                       | 6.1 MB     00:40     
Comment 4 Michael Monreal 2008-04-19 06:11:56 EDT
I think I have seen this, too... but not all the time. Only after doing one
update and getting more updates during the same session perhaps?
Comment 5 Robert Gray 2008-04-29 13:13:12 EDT
Greetings, Gents -

Robin:

I've had similar problems with PackageKit for the past week. My systems seems to
"hang" mid-update in various stages of the process (e.g, today's was at
"checking sigs").  As a result, I needed to use yum via a terminal.

Hope the latest (PackageKit-0.1.12-7.20080425.fc9.i386.rpm) fixes this.

If you need me to dig up a log (if there are any - since the PackageKit doesn't
provide finer details of the pkgupdate process), please let me know...

Regards

Comment 6 Bug Zapper 2008-05-14 05:32:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jarkko 2008-05-23 17:50:08 EDT
It takes hours for the "downloading file lists (refreshing package cache)" run
to finish. I mean literally hours. Over three hours and possible even five or
six. I have a fast DSL line.

A quick calculation... It must be downloading over 200 gigs of data (possibly
even more)! (Downloading same files over and over again or something - the file
lists can't be that big, can they? :)).

I'm not sure what triggers the run. It seems to run a few times a day. Also the
system runs it (if I'm not logged in).

My box has a fresh install of F9 (i386). I have these packagekit related
packages installed at the moment:

PackageKit-libs-0.1.12-10.20080505.fc9.i386
gnome-packagekit-0.1.12-12.20080430.fc9.i386
yum-packagekit-0.1.12-10.20080505.fc9.i386
PackageKit-0.1.12-10.20080505.fc9.i386

The refresh run eats the system and network resources quite heavily (which
causes all kinds of troubles), so for me this is quite a serious problem. So
serious that I think I have to uninstall PackageKit if I can't figure out what
is the problem.

So this was just me saying "me too" I guess. I just wanted to point out that at
least on my system this indeed happens all the time and the problem is quite
serious.
Comment 8 Richard Hughes 2008-05-28 05:26:42 EDT
Right, I'm guessing when it takes hours you're getting a really slow or corrupt
mirror. If you comment out the mmirrorlist and just use baserepo do the problems
go away?
Comment 9 Jarkko 2008-05-28 05:48:20 EDT
PackageKit runs yum and yum doesn't have these problems...

I did a quick test: Deleted /var/cache/yum and ran:

# time yum provides /usr/bin/gcc

Results:

real    0m14.154s
user    0m5.013s
sys     0m0.499s

Yum needs the file list for that operation, so it took 14 seconds to download
the list. Sure we can't know which mirror was used this time but I've not seen
any issues with yum - only with PackageKit. And with PackageKit this happens
every time (or at least every day - I bet it runs it once a day so that's every
time).

I can do more testing whan I'm physically using the computer. I tested that yum
thing through ssh connection.

Perhaps PackageKit starts the file list download over and over again. (Has some
kind of loop going on. Weird though that if you leave it running it will
eventially finish - but that takes hours.)
Comment 10 Richard Hughes 2008-08-18 04:52:04 EDT
Can you try with PackageKit 0.2.x (the newest PackageKit in updates) please.
Comment 11 Clifton 2008-10-08 07:04:39 EDT
I am using Update Applet 0.3.5 and the update is stooping at Running task. The Progress bar is completely empty. Fedora 10 beta.

From the menu you could only choose close since cancel is faded out. 

The "gpkK-update-viewer" status is sleeping.
Comment 12 Richard Hughes 2008-10-09 12:33:16 EDT
Clifton, what does pkmon say when this happens?
Comment 13 TK009 2009-03-06 22:00:57 EST
Assigning based on maintainer response to comments.

Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Jarkko 2009-03-07 05:52:42 EST
PackageKit in Fedora 10 doesn't seem to have these problems. I don't know about Fedora 9, but based on the version numbers it's quite probable that this bug has been fixed for quite some time ago.
Comment 15 TK009 2009-03-07 09:31:38 EST
@jeremy, robert and clifton

Could you please respond to the request for follow up on this bug. Has this problem been resolved for you? 

I know it's been a long time since this report was originally created, however I would like to clear this if possible. Thank you for you help.
Comment 16 Jeremy Fitzhardinge 2009-03-07 18:28:00 EST
I have not seen this problem in quite a while.  I'm running F10.
Comment 17 Luca Provenzani 2009-04-30 08:24:01 EDT
I have Fedora 10 64bit and i have the same problem with PackegeKit 0.3.14.
Every time i use my notebook the PackegeKit start the Refreshing Cache File task, and often this task never finish and sometimes show a window with a failure message. When i need to update the system, i have to cancel this task (and usually even more in queue).

The next time i will see the failure message i will write that here..
Comment 18 TK009 2009-04-30 22:03:29 EDT
@ Luca

If you do:

yum clean all
yum check-update

Do you still experience the problem.

if you see the problem again, please run 'pkcon' from the command line as it may provide more information.

TK009

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Luca Provenzani 2009-05-04 08:27:28 EDT
Thank you!
Now all seems to be ok!
Comment 20 TK009 2009-05-23 21:02:49 EDT
Based on the comments I am going to close this bug report. Thanks reporters for helping get this resolved.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.